Hewlett-Packard Intelligent Management Center APM monitorId SQL Injection Vulnerability

2013-10-16T00:00:00
ID ZDI-13-243
Type zdi
Reporter Andrea Micalizzi aka rgod
Modified 2013-11-09T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of HP Intelligent Management Center. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the APM module's AppDataDaoImpl class. The monitorId parameter does not sufficiently sanitize input, allowing for SQL injection without authentication. An attacker could leverage this vulnerability to retrieve the usernames and passwords of configured devices.